@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap");

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  background-color: #0b2434;
  padding: 1.5rem;
  font-family: "Poppins", sans-serif;
}

main {
  background-color: #f5f5f5;
  height: 500px;
  max-width: 800px;
  margin: 0 auto;
  border-radius: 5px;
  padding: 20px;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  text-align: center;
}

.main--instruction {
  word-spacing: 1.2px;
  max-width: 40ch;
}
.dice-container {
  display: grid;
  grid-template: auto auto / repeat(5, 1fr);
  gap: 20px;
}

.die-face {
  height: 50px;
  width: 50px;
  box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.15);
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.die-num {
  border-radius: 50%;
  padding: 1rem;
}
.best--record {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  width: 100%;
}
.roll-dice {
  margin-top: 20px;
  height: 50px;
  width: 150px;
  background-color: #5035ff;
  color: #fff;
  border: none;
  border-radius: 6px;
  font-size: 1.2rem;
  cursor: pointer;
}
.reset {
  margin-top: 20px;
  height: 50px;
  width: 150px;
  background-color: rgb(161, 0, 0);
  color: #fff;
  border: none;
  border-radius: 6px;
  font-size: 1.2rem;
  cursor: pointer;
}

.roll-dice:focus {
  outline: none;
}

.roll-dice:active {
  box-shadow: inset 5px 5px 12px rgba(0, 0, 0, 0.3);
}
.times-up {
  color: rgb(161, 0, 0);
}
